> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tayho.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a position and its settlements



## OpenAPI

````yaml /public/reference/openapi.json get /v1/positions/{id}
openapi: 3.1.0
info:
  description: >-
    Public Tayho API for indexed protocol state, live calculations, relayed
    actions, and automatic-order lifecycle.
  title: Tayho API
  version: 1.0.0
servers:
  - description: Development
    url: https://api.testnet.tayho.io
security: []
tags:
  - name: System
  - name: Markets
  - name: Positions
  - name: Traders
  - name: Orders
  - name: Intents
  - name: Actions
  - name: Portfolio
  - name: Vault
  - name: Staking
  - name: Trading
  - name: Realtime
paths:
  /v1/positions/{id}:
    get:
      tags:
        - Positions
      summary: Get a position and its settlements
      operationId: getV1PositionsById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: tayho-uint256
            maxLength: 78
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV1PositionsByIdResponse'
          description: Successful response.
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '422':
          $ref: '#/components/responses/Error422'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
        '502':
          $ref: '#/components/responses/Error502'
        '503':
          $ref: '#/components/responses/Error503'
        '504':
          $ref: '#/components/responses/Error504'
      security:
        - TayhoApiKey: []
components:
  schemas:
    GetV1PositionsByIdResponse:
      additionalProperties: false
      properties:
        data:
          additionalProperties: false
          properties:
            position:
              $ref: '#/components/schemas/Position'
            settlements:
              items:
                $ref: '#/components/schemas/SettlementEvent'
              type: array
          required:
            - position
            - settlements
          type: object
      required:
        - data
      type: object
    Position:
      additionalProperties: true
      properties:
        direction:
          enum:
            - LONG
            - SHORT
        id:
          $ref: '#/components/schemas/UnsignedIntegerString'
        marginWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        marketId:
          $ref: '#/components/schemas/UnsignedIntegerString'
        qWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        status:
          type: string
        trader:
          $ref: '#/components/schemas/Address'
        updatedBlock:
          $ref: '#/components/schemas/UnsignedIntegerString'
      required:
        - id
        - trader
        - marketId
        - direction
        - qWad
        - marginWad
        - status
        - updatedBlock
      type: object
    SettlementEvent:
      additionalProperties: true
      properties:
        blockNumber:
          $ref: '#/components/schemas/UnsignedIntegerString'
        blockTimestamp:
          $ref: '#/components/schemas/UnsignedIntegerString'
        id:
          type: string
        logIndex:
          minimum: 0
          type: integer
        pnlWad:
          $ref: '#/components/schemas/IntegerString'
        positionId:
          $ref: '#/components/schemas/UnsignedIntegerString'
        trader:
          $ref: '#/components/schemas/Address'
        transactionHash:
          $ref: '#/components/schemas/Hash'
      required:
        - id
        - blockNumber
        - blockTimestamp
        - transactionHash
        - logIndex
        - trader
        - positionId
      type: object
    TayhoError:
      additionalProperties: true
      properties:
        code:
          type: string
        error:
          type: string
        requestId:
          pattern: ^[A-Za-z0-9._:-]{8,128}$
          type: string
      required:
        - error
      type: object
    UnsignedIntegerString:
      pattern: ^(?:0|[1-9][0-9]*)$
      type: string
    Address:
      pattern: ^0x[0-9a-fA-F]{40}$
      type: string
    IntegerString:
      pattern: ^-?(?:0|[1-9][0-9]*)$
      type: string
    Hash:
      pattern: ^0x[0-9a-fA-F]{64}$
      type: string
  responses:
    Error401:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Missing or invalid API key.
    Error403:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The API key does not grant the required scope.
    Error404:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The requested resource does not exist.
    Error422:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Request validation failed.
    Error429:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The applicable request quota was exceeded.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error500:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The request failed unexpectedly.
    Error502:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A dependency returned an invalid or unsuccessful response.
    Error503:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency is temporarily unavailable.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error504:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency timed out.
  securitySchemes:
    TayhoApiKey:
      description: Tayho project API key with the scope declared by the operation.
      in: header
      name: X-API-Key
      type: apiKey

````